@charset "utf-8";

.menu-open {
    overflow: hidden;
}

.gjs-dashed .service .spec-accordion .spec-body{
  display:block;
}

body {
    background-color: #EEEEEE;
    border-left: 8px solid #023684;
    border-right: 8px solid #023684;
}

body.is-open {
    overflow: hidden;
}

.sec-title .ttl-ja {
    font-family: "Noto Serif JP", serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 1.4;
    color: #000;
}

.sec-title .ttl-en {
    font-family: "Marcellus", serif;
    font-weight: 400;
    font-size: clamp(2.5rem, 2.229rem + 1.11vw, 3.563rem);
    line-height: 1;
    letter-spacing: -0.05em;
    color: #000;
}

.desc p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 32px;
    color: #000;
    word-break: auto-phrase;
}

.morebtn {
    background-color: #023684;
    border-radius: 28px;
    display: inline-block;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 20px;
    transition: .4s ease;
}

.morebtn:hover {
    background-color: #FFFFFF;
}

.morebtn .arrow {
    height: 1px;
    width: 50px;
    background-color: #FFF;
    position: relative;
}

.morebtn:hover .arrow {
    background-image: linear-gradient(90deg,
            rgba(2, 54, 132, 1) 0%,
            rgba(2, 54, 132, 1) 100%);
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 30px 100%;
    /* 初期長さ */

    animation: grow-line 0.8s ease forwards;
}

.morebtn .arrow::after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    border-left: 8px solid #ffffff;
    border-right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    right: -1px;
}

.morebtn:hover .arrow::after {
    border-left: 8px solid #023684;
    animation: grow-arrow 0.6s ease-out forwards;

}

.morebtn p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 700;
    font-size: 16px;
    text-align: center;
    color: #fff;
}

.morebtn:hover p {
    color: #023684;
}

@keyframes grow-line {
    from {
        background-size: 30px 100%;
    }

    to {
        background-size: 100% 100%;
    }
}

@keyframes grow-arrow {
    from {
        transform: translateX(-21px);
    }

    to {
        transform: translateX(0);
    }
}



.js-ttl-en .char, .js-catch .char {
    opacity: 1;
    overflow: hidden;
    display: inline-block;
}

.js-ttl-en .char-text, .js-catch .char-text {
    display: inline-block;
    transform: translateX(var(--x, -120%));
    transition: transform 0.6s cubic-bezier(0.77, 0, 0.175, 1);
    transition-delay: calc(0.05s * var(--char-index));
}

.delay-1 {
    animation-delay: 0.2s;
}

.delay-2 {
    animation-delay: 0.4s;
}

.delay-3 {
    animation-delay: 0.6s;
}

.delay-4 {
    animation-delay: 0.8s;
}

.backtop {
    position: fixed;
    width: 93px;
    aspect-ratio: 1/1;
    right: 3%;
    bottom: 12%;
    z-index: 99;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease;
}

.backtop.is-show {
    opacity: 1;
    pointer-events: auto;
    transition: .4s ease;
}

.backtop.is-show:hover {
    opacity: 50%;
    cursor: pointer;
}

@media (max-width: 960px) {
    body {
        border-left: 4px solid #023684;
        border-right: 4px solid #023684;
    }

    .backtop {
        width: 54px;
    }
}